Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.schemas.v2
Class FindPublicCNKRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.samcivics.schemas.v2.FindPublicCNKRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:06:02+02:00",
               comments="JAXB RI v2.3.6")
    public class FindPublicCNKRequest

extends RequestType
implements Serializable

Java class for FindPublicCNKRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindPublicCNKRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="CNK" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="DeliveryEnvironment" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <choice minOccurs="0">
               <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="Version" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             </choice>
           </sequence>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindPublicCNKRequest()`

Method Summary
`long` | `getCNK()` Gets the value of the cnk property.
`String` | `getDeliveryEnvironment()` Gets the value of the deliveryEnvironment property.
`String` | `getLang()` Gets the value of the lang property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`BigInteger` | `getVersion()` Gets the value of the version property.
`void` | `setCNK(long value)` Sets the value of the cnk property.
`void` | `setDeliveryEnvironment(String value)` Sets the value of the deliveryEnvironment property.
`void` | `setLang(String value)` Sets the value of the lang property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setVersion(BigInteger value)` Sets the value of the version property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindPublicCNKRequest

    public FindPublicCNKRequest()

Method Detail

### getCNK

    public long getCNK()

  Gets the value of the cnk property.

### setCNK

    public void setCNK(long value)

  Sets the value of the cnk property.

### getDeliveryEnvironment

    public String getDeliveryEnvironment()

  Gets the value of the deliveryEnvironment property.

  Returns:
    possible object is `String`

### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)

  Sets the value of the deliveryEnvironment property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    public BigInteger getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `BigInteger`

### setVersion

    public void setVersion(BigInteger value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getLang

    public String getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `String`

### setLang

    public void setLang(String value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.